import WorkspaceElement from './WorkspaceElement';
import ArrowPeer from './peer/svg/ArrowPeer';
import PositionType from './PositionType';
import StyleAttributes from './StyleAttributes';
declare class Arrow extends WorkspaceElement<ArrowPeer> {
    constructor(attributes?: StyleAttributes);
    getType(): string;
    setFrom(x: number, y: number): void;
    setControlPoint(point: PositionType): void;
    setStrokeColor(color: string): void;
    setStrokeWidth(width: number): void;
    setDashed(isDashed: boolean, length: number, spacing: number): void;
}
export default Arrow;
